installation issue for bear since 2022 [🇷 for BE/BA]

posted by yjlee168 Homepage – Kaohsiung, Taiwan, 2022-02-17 20:52 (98 d 19:18 ago) – Posting: # 22791
Views: 890

(edited by yjlee168 on 2022-02-17 23:26)

Dear all bear users,

Hope you all are doing well. Since two additional R packages (RGtk2 & cairoDevice) have been removed from CRAN (R package repository) at the end of 2021 finally, the original bear installation script (preinst.r v6.0) does not work anymore. This will especially affect the new installation. I have been trying to fix it. Both RGtk2 & cairoDevice packages need to be built from archived sources for all platforms (Linux, macOS & Windows). Fortunately, so far it works well on Debian Linux (Bullseye & Buster). Do not use Synaptic Package Manager to install these two packages in Debian. It won't work and you will still get the error message of Graphics API version mismatch. I need to test on other platforms (Linux Ubuntu/macOS/Windows) later before releasing it. The issue of Graphics API version bump (mismatch) for R v4.1.x can be solved at the same time on Debian Linux if we can build RGtk2 & cairoDevice from sources. That'll be all. Thanks for reading. :ok:

Ps.:confused: No user has reported this issue yet.

All the best,
-- Yung-jin Lee
bear v2.9.1:- created by Hsin-ya Lee & Yung-jin Lee
Kaohsiung, Taiwan https://www.pkpd168.com/bear
Download link (updated) -> here

Complete thread:

UA Flag
Activity
 Admin contact
22,108 posts in 4,630 threads, 1,567 registered users;
online 6 (0 registered, 6 guests [including 4 identified bots]).
Forum time: Friday 17:10 CEST (Europe/Vienna)

We absolutely must leave room for doubt
or there is no progress and no learning.
There is no learning without having to pose a question.
And a question requires doubt.
People search for certainty.
But there is no certainty.    Richard Feynman

The Bioequivalence and Bioavailability Forum is hosted by
BEBAC Ing. Helmut Schütz
HTML5